<?php
$defines = Zend_Registry::get('defines');
?>

<form id="working-times" action="">
    <input type="hidden" name="session_hash" value="<?= $this->session_hash ?>"/>
    <input type="hidden" name="step" value="<?= $this->step; ?>">
    <input type="hidden" name="then" value=":next">
    <input type="hidden" name="dont" value="">

    <div class="row">
        <div class="col-md-12 d-none d-sm-block custom-p-4">
            <div class="card">
                <div class="card-header">
                    <i class="fa fa-line-chart"></i> <?= $this->step_title?>
                </div>
                 <div class="card-block">
                    <div class="d-flex bs-wizard">
                        <div class=" bs-wizard-step complete">
                          <div class="text-center bs-wizard-stepnum">Step 1</div>
                          <div class="progress"><div class="progress-bar"></div></div>
                          <a  class="bs-wizard-dot"></a>
                        </div>
                        
                         <div class=" bs-wizard-step complete"><!-- active -->
                          <div class="text-center bs-wizard-stepnum">Step 2</div>
                          <div class="progress"><div class="progress-bar"></div></div>
                          <a class="bs-wizard-dot"></a>
                        </div>

                         <div class=" bs-wizard-step complete"><!-- active -->
                          <div class="text-center bs-wizard-stepnum">Step 3</div>
                          <div class="progress"><div class="progress-bar"></div></div>
                          <a  class="bs-wizard-dot"></a>
                        </div>
                        
                        <div class=" bs-wizard-step complete"><!-- active -->
                          <div class="text-center bs-wizard-stepnum">Step 4</div>
                          <div class="progress"><div class="progress-bar"></div></div>
                          <a class="bs-wizard-dot"></a>
                        </div>

                         <div class=" bs-wizard-step complete"><!-- active -->
                          <div class="text-center bs-wizard-stepnum">Step 5</div>
                          <div class="progress"><div class="progress-bar"></div></div>
                          <a class="bs-wizard-dot"></a>
                        </div>

                         <div class=" bs-wizard-step disabled"><!-- active -->
                          <div class="text-center bs-wizard-stepnum">Step 6</div>
                          <div class="progress"><div class="progress-bar"></div></div>
                          <a class="bs-wizard-dot"></a>
                        </div>

                         <div class=" bs-wizard-step disabled"><!-- active -->
                          <div class="text-center bs-wizard-stepnum">Step 7</div>
                          <div class="progress"><div class="progress-bar"></div></div>
                          <a class="bs-wizard-dot"></a>
                        </div>
                    </div> 
                </div>
            </div>
        </div>

        <div class="col-sm-12 custom-p-4">
            <div class="card">
                <div class="card-header">
                    <i class="fa fa-calendar"></i>Working Times
                </div>
                <div class="card-block">
                    <h5 class="text-center px-5">
                        <input type="hidden" name="available_24_7" value="1">
                        By default you are listed as available all the time. If you are OK with this, just click
                        “next”. Otherwise, you can
                        <a href="#" id="schedule_working_times" data-toggle="modal"
                           data-target="#working-times-popup">click here to set a schedule.</a>
                    </h5>
                </div>
            </div>
        </div>


        <div class="col-md-12 d-flex buttons_wrapper">
            <button type="submit" value=":back" class="btn ml-auto btn-secondary btn-lg active mr-1 m-w-100">BACK</button>
            <button type="submit" value=":next" class="btn mr-auto btn-outline-success btn-lg active m-w-100">NEXT STEP</button>
        </div>
    </div>
</form>

<div class="modal fade" id="working-times-popup" tabindex="-1" role="dialog" aria-labelledby="Working Times"
     aria-hidden="true">
    <div class="modal-dialog modal-sm" role="document">
        <form id="working-times-scheduler" action="">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Working Times</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <table class="work-times table table-sm" id="times">
                        <thead class="thead-light">
                        <tr>
                            <th></th>
                            <th><label for="selectall"><!-- <?= __('pv2_label_select_all') ?></label> --></th>
                            <th class="spec"><label><?= ucfirst(__('pv2_label_from')) ?></label></th>
                            <th class="spec"><label><?= ucfirst(__('pv2_label_to')) ?></label></th>
                        </tr>
                        </thead>
                        <tbody>
                          
                        <? for ($j = 1; $j <= 7; $j++): ?>
                            <? $chk = false;

                            foreach ($this->data['times'] as $time) {
                                if ($time['day_index'] == $j) {
                                    $chk = $time;
                                    break;
                                }
                            } ?>
                            <tr id="datepair-<?= $this->getWeekDay($j) ?>" class="work-times-disabled">
                                <td>
                                    <label class="custom-control custom-checkbox d-flex justify-content-center mb-0">
                                        <input id="day-<?= $j ?>" type="checkbox" class="custom-control-input day-checkbox" name="day_index[<?= $j ?>]" value="1" <?= $chk ? ' checked="checked"' : '' ?>>
                                        <span class="custom-control-indicator"></span>
                                        <span class="custom-control-description"></span>
                                    </label>
                                </td>
                                <td>
                                    <label class="mb-0" for="day-<?= $j ?>">
                                        <?
                                            $day = $this->getWeekDay2($j);//date('l', mktime(null, null, null, null, $j - 1));
                                            $id = 'pv2_weekday_' . strtolower($day);
                                        ?>
                                        <?= __($id) ?>
                                    </label>
                                </td>
                                <td>
                                    <div title="Please select day" class="input-group align-items-center">

                                       <input type="text" value="<?= $chk  ? $chk["time_from"].':'.$chk["time_from_m"] : '' ?>"  name="time_from[<?= $j ?>]" class="time start form-control " 
                                       <?= $chk['time_from'] == $i ? ' disabled' : '' ?>  />
                                    </div>
                                </td>
                                <td>
                                     <div title="Please select day" class="input-group align-items-center">
                                        <input value="<?= $chk  ? $chk["time_to"].':'.$chk["time_to_m"] : '' ?>" type="text" name="time_to[<?= $j ?>]" class="time end form-control disabled"  <?=  $chk['time_to'] == $i ? ' disabled' : '' ?>  />
                                     </div>
                                </td>
                            </tr>
                        <? endfor ?>
                        </tbody>
                    </table>
                </div>
                <div class="modal-footer">
                    <button id="reset-working-time" type="button" class="btn btn-secondary rounded">Reset</button>
                    <button class="btn btn-secondary rounded" data-dismiss="modal">Cancel</button>
                    <button type="submit" id="working-times-submit" class="btn btn-success rounded"  data-dismiss="modal">Save changes</button>
                </div>
            </div>
        </form>
    </div>
</div>